Download a YARA rule file

Prev Next

Downloads a YARA rule file from Central Management System.

Central Management System:

GET https://<address>/wsapis/v2.0.0/customioc/yara/<yaraType>/<yaraFile>?appliance=<sensor_name>

Other appliances:

GET https://<address>/wsapis/v2.0.0/customioc/yara/<yaraType>/<yaraFile>

Availability

This command is available on the following appliances:

  • Central Management System

  • Malware Analysis

  • Email Security — Server

  • File Protect

  • Network Security

Required headers:

X-FeApi-Token: [API-Token]
X-FeClient-Token: [Client-Token]
Content-Type: application/octet-stream

Options

  • address—The IP address of the appliance running the Web Services API.

  • API-Token—This token authenticates the session. By default, the session times out after 15 minutes of inactivity.

  • Client-Token—(Optional) This client token is provided by Trellix. For more information about the client token, contact your sales representative.

  • yaraType—Specifies which YARA type should be downloaded.

  • yaraFile—Specifies the name of the YARA file.

Request parameters

  • appliance=<sensor_name>—Specifies the name of the sensor. Required on Central Management System.

Example request

Central Management System:

GET https://xxx.xxx.xxx.xxx:443/wsapis/v2.0.0/customioc/yara/common/sample1.yara?appliance=masala

Other appliances:

GET https://xxx.xxx.xxx.xxx:443/wsapis/v2.0.0/customioc/yara/ppt/sample1.yara

Request headers:

X-FeApi-Token: xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
X-FeClient-Token: BigDataInc

Download a YARA rule file response

HTTP/1.1 [Response Code] [Response Message]
Date: [Date]

Body:

[Output-File]
Response fields
  • Response Code—A standard HTML response code.

    • 200—Request successful.

    • 400—No file found for the request.

  • Response Message—A standard HTML response message.

    • OK—Request successful.

    • Error—No file found for the request.

  • Date—Standard HTML date format.

  • Output-File—The file that will contain the YARA rule.

Example
HTTP/1.1 200 OK
Date: Fri, 20 May 2019 09:00:00 GMT

Body:

feed.txt

cURL code sample: download a YARA rule file

The following code sample can be copied and executed from any command-line interface that includes the cURL library. This sample builds on the authentication cURL code sample.

Note

In this sample, line breaks are added for readability. Remove these line breaks before you paste the code sample into your command-line tool.

curl -qgsSk --no-progress-bar --header "X-FeApi-Token: xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" --header "Content-Type:application/octet-stream" "https://xxx.xxx.xxx.xxx:443/wsapis/v2.0.0/customioc/yara/ppt/sample1.yara"

This cURL sample includes the following options:

  • -q—This option specifies that the curlrc config file is not read or used. Although this is an optional setting, Trellix recommends that you include this option.

  • -g—This option turns off the URL globbing parser. Although this is an optional setting, Trellix recommends that you include this option.

  • -s—This option turns off the progress meter and error message. Although this is an optional setting, Trellix recommends that you include this option.

  • -S—When used with the -s option, this option shows error messages if your cURL switch fails. Although this is an optional setting, Trellix recommends that you include this option.

  • -k—This option explicitly allows cURL to perform insecure SSL connections and transfers. This allows you to test your SSL connection without installing a CA certificate.

  • --no-progress-bar—This option suppresses the cURL download progress bar, which can interfere with the request.

  • --header "X-FeApi-Token: xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx"—This custom header includes the API-Token that was returned by your appliance during the authentication request. In the authentication cURL code sample, this token was included in the auth.txt file. Replace the token in the sample with the token received in the response to your authentication request.

  • -H "Content-Type: application/octet-stream"—This header specifies that the response is in a binary file.

  • "https://xxx.xxx.xxx.xxx:443/wsapis/v2.0.0/customioc/yara/ppt/sample1.yara"—The YARA file request URL. Replace the IP address xxx.xxx.xxx.xxx with the IP address of your appliance.

Results

This example downloads the feed into the specified file.